package com.zhongdao.jlr.business.dao;

import com.dubh.common.dao.Dao;
import com.util.Vo;
import com.zhongdao.jlr.pojo.BaseRole;
import com.zhongdao.jlr.pojo.EnterpriseJlr;
import com.zhongdao.jlr.pojo.JLRRole;
import com.zhongdao.jlr.pojo.JLRUser;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface UserInfoDao extends Dao {

    /***
     * 获取角色信息
     * @return
     */
    List<JLRRole> getRoleInfo();

    /***
     * 获取经销商信息
     * @return
     */
    List<EnterpriseJlr> getEnterpriseInfo();

    /***
     * 获取用户信息
     * @return
     */
    Vo getUserInfo(HttpServletRequest request, String name, String phone,String role,String username);

    /***
     * 添加或更改用户信息
     */
    boolean updateUserInfo(JLRUser user);


    /***
     * 获取用户信息
     * @return
     */
    JLRUser getUser(String id);

    /***
     * 根据编号删除用户
     * @param user
     * @return
     */
    boolean deleteUser(JLRUser user);
}
